UpdateEnvironmentConfig updates the environment config for infrastructure.
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentSpec": {
"replicas": 123,
"autoscaling": {
"maxReplicas": 123
},
"staticIP": true,
"resources": {
"limits": {
"cpu": "<string>",
"memory": "<string>"
},
"requests": {
"cpu": "<string>",
"memory": "<string>"
}
},
"serviceAccountName": "<string>"
}
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/config"
payload = { "deploymentSpec": {
"replicas": 123,
"autoscaling": { "maxReplicas": 123 },
"staticIP": True,
"resources": {
"limits": {
"cpu": "<string>",
"memory": "<string>"
},
"requests": {
"cpu": "<string>",
"memory": "<string>"
}
},
"serviceAccountName": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentSpec: {
replicas: 123,
autoscaling: {maxReplicas: 123},
staticIP: true,
resources: {
limits: {cpu: '<string>', memory: '<string>'},
requests: {cpu: '<string>', memory: '<string>'}
},
serviceAccountName: '<string>'
}
})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}projects
UpdateEnvironmentConfig updates the environment config for infrastructure.
PUT
/
o
/
{organisation_id}
/
environments
/
{environment_id}
/
config
UpdateEnvironmentConfig updates the environment config for infrastructure.
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Body
application/json
Show child attributes
Show child attributes
Response
ok
⌘I